# -*- encoding: utf-8 -*-
# stub: premailer-rails 1.12.0 ruby lib

Gem::Specification.new do |s|
  s.name = "premailer-rails".freeze
  s.version = "1.12.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/fphilipe/premailer-rails/blob/v1.12.0/CHANGELOG.md" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Philipe Fatio".freeze]
  s.date = "2022-11-10"
  s.description = "This gem brings you the power of the premailer gem to Rails\n                     without any configuration needs. Create HTML emails,\n                     include a CSS file as you do in a normal HTML document and\n                     premailer will inline the included CSS.".freeze
  s.email = ["philipe.fatio@gmail.com".freeze]
  s.files = [".github/workflows/test.yml".freeze, ".gitignore".freeze, ".rspec".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "VERSION".freeze, "examples/rails5/.gitignore".freeze, "examples/rails5/Gemfile".freeze, "examples/rails5/README.md".freeze, "examples/rails5/Rakefile".freeze, "examples/rails5/app/assets/stylesheets/email.css".freeze, "examples/rails5/app/mailers/example_mailer.rb".freeze, "examples/rails5/app/views/example_mailer/test_message.html.erb".freeze, "examples/rails5/bin/rails".freeze, "examples/rails5/config.ru".freeze, "examples/rails5/config/application.rb".freeze, "examples/rails5/config/boot.rb".freeze, "examples/rails5/config/environment.rb".freeze, "examples/rails5/config/environments/development.rb".freeze, "examples/rails5/config/environments/production.rb".freeze, "examples/rails5/config/initializers/assets.rb".freeze, "examples/rails5/config/routes.rb".freeze, "examples/rails5/test/mailers/previews/example_mailer_preview.rb".freeze, "examples/rails6/.gitignore".freeze, "examples/rails6/Gemfile".freeze, "examples/rails6/README.md".freeze, "examples/rails6/Rakefile".freeze, "examples/rails6/app/assets/config/manifest.js".freeze, "examples/rails6/app/assets/stylesheets/email.css".freeze, "examples/rails6/app/mailers/example_mailer.rb".freeze, "examples/rails6/app/views/example_mailer/test_message.html.erb".freeze, "examples/rails6/bin/rails".freeze, "examples/rails6/config.ru".freeze, "examples/rails6/config/application.rb".freeze, "examples/rails6/config/boot.rb".freeze, "examples/rails6/config/environment.rb".freeze, "examples/rails6/config/environments/development.rb".freeze, "examples/rails6/config/environments/production.rb".freeze, "examples/rails6/config/routes.rb".freeze, "examples/rails6/test/mailers/previews/example_mailer_preview.rb".freeze, "examples/rails7-propshaft/.gitignore".freeze, "examples/rails7-propshaft/Gemfile".freeze, "examples/rails7-propshaft/README.md".freeze, "examples/rails7-propshaft/Rakefile".freeze, "examples/rails7-propshaft/app/assets/stylesheets/email.css".freeze, "examples/rails7-propshaft/app/mailers/example_mailer.rb".freeze, "examples/rails7-propshaft/app/views/example_mailer/test_message.html.erb".freeze, "examples/rails7-propshaft/bin/rails".freeze, "examples/rails7-propshaft/config.ru".freeze, "examples/rails7-propshaft/config/application.rb".freeze, "examples/rails7-propshaft/config/boot.rb".freeze, "examples/rails7-propshaft/config/environment.rb".freeze, "examples/rails7-propshaft/config/environments/development.rb".freeze, "examples/rails7-propshaft/config/environments/production.rb".freeze, "examples/rails7-propshaft/config/routes.rb".freeze, "examples/rails7-propshaft/test/mailers/previews/example_mailer_preview.rb".freeze, "examples/rails7-sprockets/.gitignore".freeze, "examples/rails7-sprockets/Gemfile".freeze, "examples/rails7-sprockets/README.md".freeze, "examples/rails7-sprockets/Rakefile".freeze, "examples/rails7-sprockets/app/assets/config/manifest.js".freeze, "examples/rails7-sprockets/app/assets/stylesheets/email.css".freeze, "examples/rails7-sprockets/app/mailers/example_mailer.rb".freeze, "examples/rails7-sprockets/app/views/example_mailer/test_message.html.erb".freeze, "examples/rails7-sprockets/bin/rails".freeze, "examples/rails7-sprockets/config.ru".freeze, "examples/rails7-sprockets/config/application.rb".freeze, "examples/rails7-sprockets/config/boot.rb".freeze, "examples/rails7-sprockets/config/environment.rb".freeze, "examples/rails7-sprockets/config/environments/development.rb".freeze, "examples/rails7-sprockets/config/environments/production.rb".freeze, "examples/rails7-sprockets/config/routes.rb".freeze, "examples/rails7-sprockets/test/mailers/previews/example_mailer_preview.rb".freeze, "lib/premailer/rails.rb".freeze, "lib/premailer/rails/css_helper.rb".freeze, "lib/premailer/rails/css_loaders.rb".freeze, "lib/premailer/rails/css_loaders/asset_pipeline_loader.rb".freeze, "lib/premailer/rails/css_loaders/file_system_loader.rb".freeze, "lib/premailer/rails/css_loaders/network_loader.rb".freeze, "lib/premailer/rails/css_loaders/propshaft_loader.rb".freeze, "lib/premailer/rails/customized_premailer.rb".freeze, "lib/premailer/rails/hook.rb".freeze, "lib/premailer/rails/railtie.rb".freeze, "lib/premailer/rails/version.rb".freeze, "premailer-rails.gemspec".freeze, "spec/integration/css_helper_spec.rb".freeze, "spec/integration/delivery_spec.rb".freeze, "spec/integration/hook_spec.rb".freeze, "spec/rails_app/app/assets/config/manifest.js".freeze, "spec/rails_app/app/assets/stylesheets/application.css".freeze, "spec/rails_app/app/mailers/application_mailer.rb".freeze, "spec/rails_app/app/mailers/welcome_mailer.rb".freeze, "spec/rails_app/app/views/layouts/mailer.html.erb".freeze, "spec/rails_app/app/views/welcome_mailer/welcome_email.html.erb".freeze, "spec/rails_app/config.ru".freeze, "spec/rails_app/config/application.rb".freeze, "spec/rails_app/config/boot.rb".freeze, "spec/rails_app/config/environment.rb".freeze, "spec/rails_app/config/environments/test.rb".freeze, "spec/rails_app/config/initializers/assets.rb".freeze, "spec/rails_app/config/routes.rb".freeze, "spec/rails_app/log/.keep".freeze, "spec/rails_app/tmp/.keep".freeze, "spec/spec_helper.rb".freeze, "spec/support/fixtures/html.rb".freeze, "spec/support/fixtures/message.rb".freeze, "spec/unit/css_loaders/asset_pipeline_loader_spec.rb".freeze, "spec/unit/css_loaders/file_system_loader_spec.rb".freeze, "spec/unit/css_loaders/network_loader_spec.rb".freeze, "spec/unit/css_loaders/propshaft_loader_spec.rb".freeze, "spec/unit/customized_premailer_spec.rb".freeze, "spec/unit/premailer_rails_spec.rb".freeze]
  s.homepage = "https://github.com/fphilipe/premailer-rails".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Easily create styled HTML emails in Rails.".freeze
  s.test_files = ["spec/integration/css_helper_spec.rb".freeze, "spec/integration/delivery_spec.rb".freeze, "spec/integration/hook_spec.rb".freeze, "spec/rails_app/app/assets/config/manifest.js".freeze, "spec/rails_app/app/assets/stylesheets/application.css".freeze, "spec/rails_app/app/mailers/application_mailer.rb".freeze, "spec/rails_app/app/mailers/welcome_mailer.rb".freeze, "spec/rails_app/app/views/layouts/mailer.html.erb".freeze, "spec/rails_app/app/views/welcome_mailer/welcome_email.html.erb".freeze, "spec/rails_app/config.ru".freeze, "spec/rails_app/config/application.rb".freeze, "spec/rails_app/config/boot.rb".freeze, "spec/rails_app/config/environment.rb".freeze, "spec/rails_app/config/environments/test.rb".freeze, "spec/rails_app/config/initializers/assets.rb".freeze, "spec/rails_app/config/routes.rb".freeze, "spec/rails_app/log/.keep".freeze, "spec/rails_app/tmp/.keep".freeze, "spec/spec_helper.rb".freeze, "spec/support/fixtures/html.rb".freeze, "spec/support/fixtures/message.rb".freeze, "spec/unit/css_loaders/asset_pipeline_loader_spec.rb".freeze, "spec/unit/css_loaders/file_system_loader_spec.rb".freeze, "spec/unit/css_loaders/network_loader_spec.rb".freeze, "spec/unit/css_loaders/propshaft_loader_spec.rb".freeze, "spec/unit/customized_premailer_spec.rb".freeze, "spec/unit/premailer_rails_spec.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<premailer>.freeze, ["~> 1.7", ">= 1.7.9"])
  s.add_runtime_dependency(%q<actionmailer>.freeze, [">= 3"])
  s.add_runtime_dependency(%q<net-smtp>.freeze, [">= 0"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.3"])
  s.add_development_dependency(%q<nokogiri>.freeze, [">= 0"])
end

